Subject: Re: linux-next: build failure after merge of the slave-dma tree

From: Vinod Koul <[email-masked]>
Date: Thu, 6 Aug 2015 08:30:27 +0530

On Thu, Aug 06, 2015 at 12:22:03PM +1000, Stephen Rothwell wrote:
> Hi Vinod,
> 
> After merging the slave-dma tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/dma/at_hdmac.c: In function 'atc_prep_dma_memset':
> drivers/dma/at_hdmac.c:960:6: error: 'struct at_desc' has no member named 'tx_width'
>   desc->tx_width = 2;
>       ^
> 
> Caused by commit
> 
>   25fed8c2fff1 ("dmaengine: hdmac: Add memset capabilities")
> 
> interacting with commit
> 
>   93dce3a6434f ("dmaengine: at_hdmac: fix residue computation")
Thanks Stephen,

I am dropping this commit now, it need to be fixed to take into account
Cyrille work on remove tx_width and this patch should be updated to reflect
that

-- 
~Vinod